package models

import (
	"gogs.mikescher.com/BlackForestBytes/goext/rfctime"
	"time"
)

type Migration struct {
	MigrationID     MigrationID             `bson:"_id,omitempty"`
	Label           string                  `bson:"label"`
	MigCreationTime string                  `bson:"migrationCreationTime"`
	ExecutionTime   rfctime.RFC3339NanoTime `bson:"executionTime"`
}

func (m Migration) GetID() AnyID {
	return m.MigrationID.AsAny()
}

func (m Migration) GetCreationTime() time.Time {
	return m.ExecutionTime.Time()
}
